--- title: "createCloudHadoopInstance" slug: "analytics-cloudhadoop-createcloudhadoopinstance" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudhadoop-createcloudhadoopinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createCloudHadoopInstance Available in Classic Create a Cloud Hadoop cluster. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /hadoop/v2/createCloudHadoopInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-cloudhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionNo` | String | Optional | Region number - `1`: Korea Region (default) - See [getRegionList](/docs/en/compute-server-getregionlist). | | `zoneNo` | String | Optional | Zone number - `3`: KR-2 (default) - See [getZoneList](/docs/en/compute-server-getzonelist). | | `cloudHadoopClusterName` | String | Required | Cluster name - Enter 3 to 15 characters using a combination of lowercase English letters, numbers, and the special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Can't be duplicated. | | `cloudHadoopImageProductCode` | String | Required | Cluster image code - See `productCode` of [getCloudHadoopImageProductList](/docs/en/analytics-cloudhadoop-getcloudhadoopimageproductlist). | | `cloudHadoopClusterTypeCode` | String | Required | Cluster type code - `CHADP` \| `HBASE` \| `SPARK` \| `PRESTO` - `CHADP`: Core Hadoop - `HBASE`: HBase - `SPARK`: Spark - `PRESTO`: Presto | | `cloudHadoopAdminName` | String | Required | Cluster admin account username - Enter 3 to 15 characters using a combination of lowercase English letters, numbers, and the special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Required when accessing the Ambari console | | `cloudHadoopAdminPassword` | String | Required | Cluster admin account password - Enter 8 to 20 characters using a combination of English letters, numbers, and special characters - Unusable special characters: ', ", ₩, /, &, `, space - Required when accessing the Ambari console | | `loginKeyName` | String | Required | Authentication key name - See [getLoginKeyList](/docs/en/compute-server-getloginkeylist). - Required when accessing directly to the node via SSH method | | `bucketName` | String | Required | Object Storage bucket name - See [getCloudHadoopBucketList](/docs/en/analytics-cloudhadoop-getcloudhadoopbucketlist). | | `masterNodeProductCode` | String | Required | Master node server type code - See [getCloudHadoopProductList](/docs/en/analytics-cloudhadoop-getcloudhadoopproductlist). | | `masterNodeCount` | Integer | Optional | Number of master nodes - 2 (valid value) | | `masterNodeStorageTypeCode` | String | Required | Master node storage type - `SSD` \| `HDD` | | `masterNodeStorageSize` | Integer | Required | Master node storage capacity (GB) - 100-2000 (in 10 GB increments) | | `workerNodeProductCode` | String | Required | Worker node server type code - See [getCloudHadoopProductList](/docs/en/analytics-cloudhadoop-getcloudhadoopproductlist). | | `workerNodeCount` | Integer | Optional | Number of worker nodes - 2-8 (default: 2) | | `workerNodeStorageTypeCode` | String | Required | Worker node storage type - `SSD` \| `HDD` | | `workerNodeStorageSize` | Integer | Required | Worker node storage capacity (GB) - 100-2000 (in 10 GB increments) | | `edgeNodeProductCode` | String | Conditional | Edge node server type code - See [getCloudHadoopProductList](/docs/en/analytics-cloudhadoop-getcloudhadoopproductlist). - Required if `cloudHadoopImageProductCode` is `SPSWCHADPLINUX03` | | `edgeNodeCount` | String | Conditional | Number of edge nodes - 1 (valid value) - Required if `cloudHadoopImageProductCode` is `SPSWCHADPLINUX03` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | Note The number of master nodes and edge nodes in a cluster can't be set separately. - Since the Cloud Hadoop service supports high availability (HA) by default, the cluster always includes two master nodes. - The edge node of a Cloud Hadoop 1.2 cluster is fixed to one. ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/hadoop/v2/createCloudHadoopInstance ?regionNo=1 &zoneNo=3 &cloudHadoopClusterName=cluster999 &cloudHadoopImageProductCode=SPSWCHADPLINUX03 &cloudHadoopClusterTypeCode=CHADP &cloudHadoopAdminName=ncpadmin &cloudHadoopAdminPassword=********** &loginKeyName=loginkey000 &bucketName=bucket000 &masterNodeProductCode=SPSVRCHADP000001 &masterNodeCount=2 &masterNodeStorageTypeCode=SSD &masterNodeStorageSize=100 &workerNodeProductCode=SPSVRCHADP000001 &workerNodeCount=2 &workerNodeStorageTypeCode=SSD &workerNodeStorageSize=100 &edgeNodeProductCode=SPSVRCHADP000010 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `createCloudHadoopInstanceResponse` | Object | - | Response result | | `createCloudHadoopInstanceResponse.totalRows` | Integer | - | Number of response results | | `createCloudHadoopInstanceResponse.cloudHadoopInstanceList` | Array | - | [Cluster list](/docs/en/analytics-cloudhadoop-createcloudhadoopinstance#createCloudHadoopInstanceResponsecloudHadoopInstanceList) | | `createCloudHadoopInstanceResponse.requestId` | String | - | ID for the request - UUID format | | `createCloudHadoopInstanceResponse.returnCode` | String | - | Response code | | `createCloudHadoopInstanceResponse.returnMessage` | String | - | Response message | #### `createCloudHadoopInstanceResponse.cloudHadoopInstanceList` The following describes `createCloudHadoopInstanceResponse.cloudHadoopInstanceList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `cloudHadoopInstanceNo` | String | - | Cluster instance number | | `cloudHadoopClusterName` | String | - | Cluster name | | `cloudHadoopImageProductCode` | String | - | Cluster image code | | `cloudHadoopClusterType` | Object | - | Cluster type information | | `cloudHadoopClusterType.code` | String | - | Cluster type code - `CHADP` \| `HBASE` \| `SPARK` \| `PRESTO` - `CHADP`: Core Hadoop - `HBASE`: HBase - `SPARK`: Spark - `PRESTO`: Presto | | `cloudHadoopClusterType.codeName` | String | - | Cluster type code name | | `masterNodeCpuCount` | Integer | - | Number of master node CPUs | | `masterNodeCount` | Integer | - | Number of master nodes | | `masterNodeMemorySize` | Integer | - | Master node memory capacity (byte) | | `workerNodeCpuCount` | Integer | - | Number of worker node CPUs | | `workerNodeCount` | Integer | - | Number of worker nodes | | `workerNodeMemorySize` | Integer | - | Worker node memory capacity (byte) | | `edgeNodeCpuCount` | Integer | - | Number of edge node CPUs | | `edgeNodeCount` | Integer | - | Number of edge nodes | | `edgeNodeMemorySize` | Integer | - | Edge node memory capacity (byte) | | `cloudHadoopInstanceStatus` | Object | - | Cluster status information - Displayed if `cloudHadoopInstanceStatusName` is `creating` | | `cloudHadoopInstanceStatus.code` | String | - | Cluster status code - `INIT`: Cloud Hadoop INIT status | | `cloudHadoopInstanceStatus.codeName` | String | - | Cluster status code name | | `cloudHadoopInstanceStatusName` | String | - | Cluster status name - `creating` \| `running` \| `settingup` \| `deleting` - `creating`: creating - `running`: running - `settingup`: setting up - `deleting`: deleting | | `isHa` | Boolean | - | High availability support - `true` (default) \| `false` - `true`: supported - `false`: not supported | | `zone` | Object | - | Zone information | | `zone.zoneNo` | String | - | Zone number | | `zone.zoneName` | String | - | Zone name | | `zone.zoneCode` | String | - | Zone code | | `zone.zoneDescription` | String | - | Zone description | | `zone.regionNo` | String | - | Region number | | `region` | Object | - | Region information | | `region.regionNo` | String | - | Region number | | `region.regionCode` | String | - | Region code | | `region.regionName` | String | - | Region name | | `masterNodeServerName` | String | - | Master node server name | | `createDate` | String | - | Cluster creation date and time - ISO 8601 format | | `dataArchitecture` | String | - | Data architecture | | `bucketName` | String | - | Object Storage bucket name | | `directConnectionAccount` | String | - | Cluster's direct access account | | `loginKeyName` | String | - | Authentication key name | ### Response status codes For information about the HTTP status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-cloudhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "createCloudHadoopInstanceResponse": { "totalRows": 3, "cloudHadoopInstanceList": [ { "cloudHadoopInstanceNo": "2777****", "cloudHadoopClusterName": "cluster999", "cloudHadoopImageProductCode": "SPSWCHADPLINUX03", "cloudHadoopClusterType": { "code": "CHADP", "codeName": "Core Hadoop" }, "masterNodeCpuCount": 4, "masterNodeCount": 2, "masterNodeMemorySize": 8589934592, "workerNodeCpuCount": 4, "workerNodeCount": 2, "workerNodeMemorySize": 8589934592, "edgeNodeCpuCount": 4, "edgeNodeCount": 1, "edgeNodeMemorySize": 8589934592, "cloudHadoopInstanceStatus": { "code": "INIT", "codeName": "Cloud Hadoop INIT status" }, "cloudHadoopInstanceStatusName": "creating", "isHa": true, "zone": { "zoneNo": "3", "zoneName": "KR-2", "zoneCode": "KR-2", "zoneDescription": "Pyeongchon zone", "regionNo": "1" }, "region": { "regionNo": "1", "regionCode": "KR", "regionName": "Korea" }, "masterNodeServerName": "m-001-cluster999-hd", "createDate": "2025-02-28T11:29:26+0900", "dataArchitecture": "OBJST", "bucketName": "bucket000", "directConnectionAccount": "sshuser", "loginKeyName": "loginkey000" }, ... ], "requestId": "d7b932a7-****-****-****-192d44c77deb", "returnCode": "0", "returnMessage": "success" } } ```